## libxrender 0.9.0.2

=== Makefile ===
# Makefile.in generated by automake 1.7.9 from Makefile.am.
# Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# 
#  $Id: Makefile.am,v 1.11 2004/07/29 07:59:34 keithp Exp $
# 
#  Copyright © 2003 Keith Packard, Noah Levitt
# 
#  Permission to use, copy, modify, distribute, and sell this software and its
#  documentation for any purpose is hereby granted without fee, provided that
#  the above copyright notice appear in all copies and that both that
#  copyright notice and this permission notice appear in supporting
#  documentation, and that the name of Keith Packard not be used in
#  advertising or publicity pertaining to distribution of the software without
#  specific, written prior permission.  Keith Packard makes no
#  representations about the suitability of this software for any purpose.  It
#  is provided "as is" without express or implied warranty.
# 
#  KEITH PACKARD DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
#  INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
#  EVENT SHALL KEITH PACKARD BE LIABLE FOR ANY SPECIAL, INDIRECT OR
#  CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE,
#  DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
#  TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
#  PERFORMANCE OF THIS SOFTWARE.

srcdir = .
top_srcdir = .

pkgdatadir = $(datadir)/libXrender
pkglibdir = $(libdir)/libXrender
pkgincludedir = $(includedir)/libXrender
top_builddir = .

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_triplet = i686-pc-linux-gnu
ACLOCAL = ${SHELL} /home/david/debian/xorg/xrender/missing --run aclocal-1.7
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /home/david/debian/xorg/xrender/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /home/david/debian/xorg/xrender/missing --run autoconf
AUTOHEADER = ${SHELL} /home/david/debian/xorg/xrender/missing --run autoheader
AUTOMAKE = ${SHELL} /home/david/debian/xorg/xrender/missing --run automake-1.7
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = 
MAINTAINER_MODE_FALSE = #
MAINTAINER_MODE_TRUE = 
MAKEINFO = ${SHELL} /home/david/debian/xorg/xrender/missing --run makeinfo
OBJEXT = o
PACKAGE = libXrender
PACKAGE_BUGREPORT = keithp@keithp.com
PACKAGE_NAME = libXrender
PACKAGE_STRING = libXrender 0.9.0
PACKAGE_TARNAME = libXrender
PACKAGE_VERSION = 0.9.0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
RANLIB = ranlib
RENDER_CFLAGS = -I/usr/X11R6/include  
RENDER_LIBS =  
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 0.9.0
X_CFLAGS =  -I/usr/X11R6/include -DXTHREADS
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib -lX11
X_NON_PKG_CFLAGS =  -I/usr/X11R6/include -DXTHREADS
X_NON_PKG_LIBS =  -L/usr/X11R6/lib -lX11
X_PRE_LIBS =  -lSM -lICE
X_REQUIRES = 
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
ac_pt_PKG_CONFIG = /usr/bin/pkg-config
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /home/david/debian/xorg/xrender/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
oldincludedir = /usr/include
prefix = /usr/local
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 

AM_CFLAGS = $(RENDER_CFLAGS) $(X_CFLAGS)

lib_LTLIBRARIES = libXrender.la

libXrender_la_SOURCES = AddTrap.c \
                        Color.c \
                        Composite.c \
                        Cursor.c \
                        FillRect.c \
                        FillRects.c \
                        Filter.c \
                        Glyph.c \
                        Picture.c \
                        Poly.c \
                        Trap.c \
                        Tri.c \
                        Xrender.c \
                        Xrender.h \
                        Xrenderint.h \
                        region.h


libXrender_la_LIBADD =  -L/usr/X11R6/lib -lX11 -lX11

# -version-number requires libtool >= 1.5
libXrender_la_LDFLAGS = -version-number 1:3:0 -no-undefined

libXrenderincludedir = $(includedir)/X11/extensions
libXrenderinclude_HEADERS = Xrender.h 

pkgconfigdir = $(libdir)/pkgconfig
pkgconfig_DATA = xrender.pc

EXTRA_DIST = xrender.pc.in autogen.sh
subdir = .
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = xrender.pc
LTLIBRARIES = $(lib_LTLIBRARIES)

libXrender_la_DEPENDENCIES =
am_libXrender_la_OBJECTS = AddTrap.lo Color.lo Composite.lo Cursor.lo \
	FillRect.lo FillRects.lo Filter.lo Glyph.lo Picture.lo Poly.lo \
	Trap.lo Tri.lo Xrender.lo
libXrender_la_OBJECTS = $(am_libXrender_la_OBJECTS)

DEFAULT_INCLUDES =  -I. -I$(srcdir) -I.
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
DEP_FILES = ./$(DEPDIR)/AddTrap.Plo ./$(DEPDIR)/Color.Plo \
	./$(DEPDIR)/Composite.Plo ./$(DEPDIR)/Cursor.Plo \
	./$(DEPDIR)/FillRect.Plo ./$(DEPDIR)/FillRects.Plo \
	./$(DEPDIR)/Filter.Plo ./$(DEPDIR)/Glyph.Plo \
	./$(DEPDIR)/Picture.Plo ./$(DEPDIR)/Poly.Plo \
	./$(DEPDIR)/Trap.Plo ./$(DEPDIR)/Tri.Plo \
	./$(DEPDIR)/Xrender.Plo
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) \
	$(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DIST_SOURCES = $(libXrender_la_SOURCES)
DATA = $(pkgconfig_DATA)

HEADERS = $(libXrenderinclude_HEADERS)

DIST_COMMON = README $(libXrenderinclude_HEADERS) $(srcdir)/Makefile.in \
	$(srcdir)/configure AUTHORS COPYING ChangeLog INSTALL \
	Makefile.am NEWS aclocal.m4 config.guess config.h.in config.sub \
	configure configure.ac depcomp install-sh ltmain.sh missing \
	mkinstalldirs xrender.pc.in
SOURCES = $(libXrender_la_SOURCES)

all: config.h
	$(MAKE) $(AM_MAKEFLAGS) all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj

am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
 configure.lineno
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.ac $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)

$(top_builddir)/config.status: $(srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	$(SHELL) ./config.status --recheck
$(srcdir)/configure:  $(srcdir)/configure.ac $(ACLOCAL_M4) $(CONFIGURE_DEPENDENCIES)
	cd $(srcdir) && $(AUTOCONF)

$(ACLOCAL_M4):  configure.ac 
	cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)

config.h: stamp-h1
	@if test ! -f $@; then \
	  rm -f stamp-h1; \
	  $(MAKE) stamp-h1; \
	else :; fi

stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
	@rm -f stamp-h1
	cd $(top_builddir) && $(SHELL) ./config.status config.h

$(srcdir)/config.h.in:  $(top_srcdir)/configure.ac $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOHEADER)
	touch $(srcdir)/config.h.in

distclean-hdr:
	-rm -f config.h stamp-h1
xrender.pc: $(top_builddir)/config.status xrender.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $@
libLTLIBRARIES_INSTALL = $(INSTALL)
install-libLTLIBRARIES: $(lib_LTLIBRARIES)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(libdir)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  if test -f $$p; then \
	    f="`echo $$p | sed -e 's|^.*/||'`"; \
	    echo " $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f"; \
	    $(LIBTOOL) --mode=install $(libLTLIBRARIES_INSTALL) $(INSTALL_STRIP_FLAG) $$p $(DESTDIR)$(libdir)/$$f; \
	  else :; fi; \
	done

uninstall-libLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	    p="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p"; \
	  $(LIBTOOL) --mode=uninstall rm -f $(DESTDIR)$(libdir)/$$p; \
	done

clean-libLTLIBRARIES:
	-test -z "$(lib_LTLIBRARIES)" || rm -f $(lib_LTLIBRARIES)
	@list='$(lib_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" = "$$p" && dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
libXrender.la: $(libXrender_la_OBJECTS) $(libXrender_la_DEPENDENCIES) 
	$(LINK) -rpath $(libdir) $(libXrender_la_LDFLAGS) $(libXrender_la_OBJECTS) $(libXrender_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT) core *.core

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/AddTrap.Plo
include ./$(DEPDIR)/Color.Plo
include ./$(DEPDIR)/Composite.Plo
include ./$(DEPDIR)/Cursor.Plo
include ./$(DEPDIR)/FillRect.Plo
include ./$(DEPDIR)/FillRects.Plo
include ./$(DEPDIR)/Filter.Plo
include ./$(DEPDIR)/Glyph.Plo
include ./$(DEPDIR)/Picture.Plo
include ./$(DEPDIR)/Poly.Plo
include ./$(DEPDIR)/Trap.Plo
include ./$(DEPDIR)/Tri.Plo
include ./$(DEPDIR)/Xrender.Plo

.c.o:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `test -f '$<' || echo '$(srcdir)/'`$<

.c.obj:
	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=no \
#	depfile='$(DEPDIR)/$*.Po' tmpdepfile='$(DEPDIR)/$*.TPo' \
#	$(CCDEPMODE) $(depcomp) \
#	$(COMPILE) -c `if test -f '$<'; then $(CYGPATH_W) '$<'; else $(CYGPATH_W) '$(srcdir)/$<'; fi`

.c.lo:
	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" \
	  -c -o $@ `test -f '$<' || echo '$(srcdir)/'`$<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; \
	else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; \
	fi
#	source='$<' object='$@' libtool=yes \
#	depfile='$(DEPDIR)/$*.Plo' tmpdepfile='$(DEPDIR)/$*.TPlo' \

## libxrender 0.9.10-1+apricot-1

=== debian/changelog ===
libxrender (1:0.9.10-1+apricot-1) unstable; urgency=medium

  [ Andreas Boll ]
  * New upstream release.
    - Fixes CVE-2016-7949 and CVE-2016-7950 (Closes: #840443).
  * Update d/upstream/signing-key.asc with Matthieu Herrb's key.
  * Update a bunch of URLs in packaging to https.
  * Remove obsolete xsfbs.
  * Bump Standards-Version to 3.9.8, no changes needed.

  [ Emilio Pozuelo Monfort ]
  * Bump debhelper compat to 10.
    + debhelper now calls autoreconf for us.
    + Parallel builds are now enabled by default.
  * Switch to dbgsym packages.
  * debhelper passes --disable-silent-rules for us.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 05 Dec 2016 19:52:42 +0100

libxrender (1:0.9.9-2) unstable; urgency=medium

  * Team upload.
  * Restore separate build directory.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 11:23:44 +0000

libxrender (1:0.9.9-1) sid; urgency=medium

  * Team upload.
  * New upstream release.
  * Let uscan verify upstream tarball signatures.
  * Bump libx11-dev build-dep to 2:1.6 per configure.ac.
  * Switch to dh and dh-autoreconf.
  * Remove Cyril from Uploaders.
  * Bump Standards-Version to 3.9.6, update Vcs-* control fields.

 -- Julien Cristau <jcristau@debian.org>  Wed, 28 Oct 2015 10:53:59 +0000

libxrender (1:0.9.8-1) sid; urgency=low

  * New upstream release.
  * Bump debhelper compat level to 7.
  * Use dpkg-buildflags.
  * Disable silent build rules.
  * Use dh_prep instead of dh_clean -k.

 -- Julien Cristau <jcristau@debian.org>  Sun, 30 Jun 2013 19:34:07 +0200

libxrender (1:0.9.7-1+deb7u1) wheezy-security; urgency=high

  * integer overflows calculating memory needs for replies [CVE-2013-1987]

 -- Julien Cristau <jcristau@debian.org>  Tue, 14 May 2013 19:28:26 +0200

libxrender (1:0.9.7-1) unstable; urgency=low

  * New upstream release.
  * Don't require (fake)root for debian/rules clean.
  * Add Multi-Arch: same for libxrender-dev.
  * Bump xutils-dev build-dep for newer macros.

 -- Julien Cristau <jcristau@debian.org>  Sat, 21 Apr 2012 11:44:34 +0200

libxrender (1:0.9.6-2) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Build for multiarch.

  [ Julien Cristau ]
  * Add build-arch and (empty) build-indep debian/rules targets.
  * Remove David Nusinow, Brice Goglin and Andres Salomon from Uploaders.
  * Bump Standards-Version to 3.9.2.

 -- Julien Cristau <jcristau@debian.org>  Sun, 12 Jun 2011 10:19:50 +0200

libxrender (1:0.9.6-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright from upstream COPYING.
  * Bump Standards-Version to 3.9.0.

 -- Julien Cristau <jcristau@debian.org>  Sun, 11 Jul 2010 13:26:35 +0100

libxrender (1:0.9.5-2) unstable; urgency=low

  [ Julien Cristau ]
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!
  * Remove myself from Uploaders

  [ Cyril Brulebois ]
  * Add udeb needed for the graphical installer: libxrender1-udeb.
  * Bump the B-D on libx11-dev to ensure libxrender1-udeb gets a
    dependency on libx11-6-udeb.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).
  * Add ${misc:Depends} to non-udeb binaries, and wrap Depends.
  * Add myself to Uploaders.

 -- Cyril Brulebois <kibi@debian.org>  Thu, 11 Mar 2010 02:02:29 +0100

libxrender (1:0.9.5-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * Run autoreconf on build. Add build-deps on automake, libtool
    and xutils-dev.
  * Parse space-separated DEB_BUILD_OPTIONS, and handle parallel=N.
  * Bump Standards-Version to 3.8.3.
  * Move -dbg package to section debug.
  * Drop pre-dependency on x11-common from libxrender-dev. This was needed
    for upgrades from sarge.

  [ Julien Cristau ]
  * Install the libXrender doc in libxrender-dev.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Nov 2009 19:38:16 +0100

libxrender (1:0.9.4-2) unstable; urgency=low

  * Pull upstream master up to commit f6f784c0.
  * Fix typo in long descriptions, thanks Justin Pryzby, closes: #459819.
  * Add a link to www.X.org and a reference to the upstream module
    in the long description.
  * Bump Standards-Version to 3.7.3 (no changes).
  * Drop the XS- prefix from Vcs-Git and Vcs-Browser fields in debian/control.
  * Drop CVS header from debian/copyright.

 -- Brice Goglin <bgoglin@debian.org>  Fri, 13 Jun 2008 18:55:08 +0200

libxrender (1:0.9.4-1) unstable; urgency=low

  * New upstream release.
    + Fix for renderproto 0.9.3, include Xlib.h before render.h in Xrender.h
      (closes: #442824).
  * Add myself to Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Mon, 17 Sep 2007 09:57:00 +0200

libxrender (1:0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders, and remove Branden and Fabio with their
    permission.
  * Replace ${Source-Version}) with ${binary:Version}.
  * Add upstream URL to debian/copyright.

 -- Brice Goglin <bgoglin@debian.org>  Sat, 25 Aug 2007 11:41:18 +0200

libxrender (1:0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Drop obsolete CVS info from the descriptions, and add XS-Vcs-*.
  * Install the upstream changelog.

 -- Julien Cristau <jcristau@debian.org>  Thu, 12 Apr 2007 14:00:20 +0200

libxrender (1:0.9.1-3) unstable; urgency=low

  * Actually upload to unstable. Thanks Drew for catching this.

 -- David Nusinow <dnusinow@debian.org>  Wed, 30 Aug 2006 20:20:16 -0400

libxrender (1:0.9.1-2) experimental; urgency=low

  * Upload to unstable

 -- David Nusinow <dnusinow@debian.org>  Wed, 30 Aug 2006 18:18:04 -0400

libxrender (1:0.9.1-1) experimental; urgency=low

  * New upstream release.
  * Autoreconf w/ an updated xutils-dev so that manpages have the 'x'
    extension dropped.
  * Test for obj-$(DEB_BUILD_GNU_TYPE) before creating it during build;
    idempotency fi.
  * Run dh_install w/ --list-missing.
  * Bump standards version to 3.7.2.0.
  * Version x11-common pre-dep in -dev package to 1:7.0.0 to match


=== debian/control ===
Source: libxrender
Section: x11
Priority: optional
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Build-Depends:
 debhelper (>= 10),
 pkg-config,
 libx11-dev (>= 2:1.6),
 x11proto-render-dev,
 x11proto-core-dev,
 xutils-dev (>= 1:7.5+4),
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/git/pkg-xorg/lib/libxrender.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-xorg/lib/libxrender.git

Package: libxrender1
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: X Rendering Extension client library
 The X Rendering Extension (Render) introduces digital image composition as
 the foundation of a new rendering model within the X Window System.
 Rendering geometric figures is accomplished by client-side tessellation into
 either triangles or trapezoids.  Text is drawn by loading glyphs into the
 server and rendering sets of them.  The Xrender library exposes this
 extension to X clients.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXrender

Package: libxrender1-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
Description: X Rendering Extension client library
 This is a udeb, or a microdeb, for the debian-installer.

Package: libxrender-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libxrender1 (= ${binary:Version}),
 libx11-dev (>= 2:1.0.0),
 x11proto-render-dev,
 x11proto-core-dev,
 ${misc:Depends},
Description: X Rendering Extension client library (development files)
 The X Rendering Extension (Render) introduces digital image composition as
 the foundation of a new rendering model within the X Window System.
 Rendering geometric figures is accomplished by client-side tessellation into
 either triangles or trapezoids.  Text is drawn by loading glyphs into the
 server and rendering sets of them.  The Xrender library exposes this
 extension to X clients.
 .
 This package provides a static library and C header files.
 .
 More information about X.Org can be found at:
 <URL:https://www.X.org>
 .
 This module can be found at
 git://anongit.freedesktop.org/git/xorg/lib/libXrender

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian libxrender package.

# set this to the name of the main shlib's binary package
PACKAGE = libxrender1

%:
	dh $@ --builddirectory=build/

override_dh_install:
	dh_install --list-missing

override_dh_strip:
	dh_strip -p$(PACKAGE) --dbgsym-migration='$(PACKAGE)-dbg (<< 1:0.9.10-1~)'
	dh_strip -N$(PACKAGE)

override_dh_makeshlibs:
	dh_makeshlibs --add-udeb=$(PACKAGE)-udeb

=== debian/watch ===
#git=git://anongit.freedesktop.org/xorg/lib/libXrender
version=3
opts=pgpsigurlmangle=s/$/.sig/ \
https://xorg.freedesktop.org/releases/individual/lib/ libXrender-(.*)\.tar\.gz
